#include <stdio.h>

int main() {

  FILE *fichier = fopen("../../export.csv", "r");
  if (fichier == NULL) {
    perror("Erreur d'ouverture du fichier");
    return 1;
  }

  FILE *fA = fopen("A.csv", "w");
  FILE *fB = fopen("B.csv", "w");
  FILE *fC = fopen("C.csv", "w");
  FILE *fD = fopen("D.csv", "w");

  float vA, vB, vC, vD;
  while (fscanf(fichier, "%f;%f;%f;%f", &vA, &vB, &vC, &vD)==4) {
    //printf("%f\n", valeur);
    fprintf(fA, "%f\n", vA);
    fprintf(fB, "%f\n", vB);
    fprintf(fC, "%f\n", vC);
    fprintf(fD, "%f\n", vD);
  }

}
